/*
 * z2-Environment
 * 
 * Copyright(c) ZFabrik Software GmbH & Co. KG
 * 
 * contact@zfabrik.de
 * 
 * http://www.z2-environment.eu
 */
package com.zfabrik.resources.provider;

import com.zfabrik.resources.IResourceHandle;
import com.zfabrik.resources.IResourceLookup;


/**
 * Resource providers will be supplied this context interface 
 * at init time.
 * 
 * @see IResourceProvider#init(IResourceProviderContext)
 * @author hb
 *
 */
public interface IResourceProviderContext {
	
	IResourceHandle putResource(String name, Resource resource);
	IResourceLookup getNameSpace();
}
